#!/home/ajv/work/venv312/bin/python

# cPy - show an svg drawing as Qt GUI
# provided by Anthony Vogelaar,  Perth Scotland
# rev 0.10  2024-09-16  initial release

import  os;                 os.system('clear')
import  sys;
from    PySide6.QtWidgets   import  QApplication, QLabel
from    PySide6.QtGui       import  QPixmap

# ============================ main ===========================

def main():
    app = QApplication([])
    lb  = QLabel()
    try:
        lb.setPixmap(QPixmap(sys.argv[1]))
        lb.show()
        app.exec()
    except:
        print('error: opening source file')
    

main()

# ============================= end ===========================
